/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;

import testClient.TestInvocation;

/**
 * Client for ASM_12004_TestCase
 * Tests that the SCA runtime accepts and runs a contribution in ZIP format
 */
public class ASM_12004_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 9);
    	config.input 			= "request";
    	config.output[0] 		= config.testName + " " + config.input + " servicex operation1 invoked" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
    	config.contributionNames	= new String[] { "ASM_12004", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class ASM_12004_TestCase
